## darknet 0.0.0%2Bgit20180914.61c9d02e

=== debian/control ===
Source: darknet
Section: science
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 11),
               docbook-xsl,
               libopencv-dev,
               pkg-config,
               python3,
               xsltproc
Standards-Version: 4.2.1
Homepage: https://pjreddie.com/darknet/

Package: darknet
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Open Source Neural Networks in C
 Darknet is an open source neural network framework written in C and CUDA.
 It is fast, easy to install, and supports CPU and GPU computation.
