## darknet 0.0.0+git20180914.61c9d02e

=== debian/changelog ===
darknet (0.0.0+git20180914.61c9d02e-3) unstable; urgency=low

  * Add 0006-port-to-python3.13.patch (Closes: #1084609)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 05 Dec 2024 21:45:54 +0800

darknet (0.0.0+git20180914.61c9d02e-2) unstable; urgency=low

  * Port to OpenCV4. Fix FTBFS on OpenCV4. (Closes: #922573)
    - 0003-Fix-compilation-with-latest-OpenCV.patch
    - 0004-Enable-C-11-for-OpenCV-4.patch
    - 0005-Fix-1421-use-after-free.patch
    - These patch comes from https://github.com/tiagoshibata/darknet
    - pull request - https://github.com/pjreddie/darknet/pull/1348

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 28 Oct 2019 03:23:14 +0800

darknet (0.0.0+git20180914.61c9d02e-1) unstable; urgency=low

  * Initial release (Closes: #913851)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 20 Nov 2018 14:05:08 +0800
