=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Build-Depends: debhelper (>= 11),
                docbook-xsl,
-               libopencv-dev,
-               pkg-config,
+               libopencv-dev (>= 4),
+               pkgconf,
                python3,
                xsltproc
 Standards-Version: 4.2.1
